define({ "api": [
  {
    "type": "get",
    "url": "/api/agent/version",
    "title": "获取配置信息(version)",
    "description": "<p>获取配置信息(version)</p>",
    "group": "Agent",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"version\": []版本信息\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n可能出现的错误代码：\n1000 运营商非法",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CompanyController.php",
    "groupTitle": "Agent",
    "name": "GetApiAgentVersion"
  },
  {
    "type": "get",
    "url": "/api/album/add_favorite",
    "title": "添加收藏(add_favorite)",
    "description": "<p>添加收藏(favorite_list)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "product_id",
            "description": "<p>商品id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": []//返回信息\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumAdd_favorite"
  },
  {
    "type": "get",
    "url": "/api/album/cat",
    "title": "分类列表(cat)",
    "description": "<p>画册分类(cat)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "parent_id",
            "description": "<p>一级菜单传0 二级菜单的id从一级菜单里面获取</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": [\n         {\n             \"id\": 9,\n             \"name\": \"圣地亚哥\",\n             \"parent_id\": 0,\n             \"level\": \"00\",\n             \"pic_url\": \"http://admin.xcx.com/upload/images/20180518/af6cc8fd71241744ccd638afc6ac25f2.png\",\n             \"created_at\": \"2018-05-19 14:55:48\",\n             \"updated_at\": \"2018-05-19 14:55:48\",\n             \"store_id\": 0,\n             \"deleted_at\": null,\n             \"sort\": 0\n         }\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumCat"
  },
  {
    "type": "get",
    "url": "/api/album/checklogin",
    "title": "登陆应用(checklogin)",
    "description": "<p>登陆应用(checklogin)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumChecklogin"
  },
  {
    "type": "get",
    "url": "/api/album/favorite_del",
    "title": "收藏删除(favorite_del)",
    "description": "<p>收藏删除(favorite_del)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "favorite_id",
            "description": "<p>收藏id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":[]//返回状态\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumFavorite_del"
  },
  {
    "type": "get",
    "url": "/api/album/favorite_list",
    "title": "收藏列表(favorite_list)",
    "description": "<p>收藏列表(favorite_list)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": [\n         {\n             \"id\": 4,\n             \"user_id\": 1,\n             \"deleted_at\": null,\n             \"created_at\": \"2018-10-29 15:51:47\",\n             \"updated_at\": \"2018-10-29 15:53:15\",\n             \"product_id\": 3,\n             \"store_id\": 0,\n             \"goods\": {\n                 \"id\": 3,\n                 \"store_id\": 0,\n                 \"cat_id\": 9,\n                 \"specifications_img\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n                 \"style\": \"纯白\",\n                 \"sort\": 11,\n                 \"cover_pic\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n                 \"hot_cake\": 1,\n                 \"news\": 1,\n                 \"detail\": \"<p>达达娃达娃达娃大青蛙大全大是大非如果v率v恶策但是许多女性的项目部的不行么法可没副本副本副本么方便</p>\",\n                 \"created_at\": \"2018-05-19 15:09:04\",\n                 \"updated_at\": \"2018-05-19 15:09:04\",\n                 \"deleted_at\": null,\n                 \"install_img\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n                 \"name\": \"简约\",\n                 \"detail_pic\": \"\"\n             }\n         }\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumFavorite_list"
  },
  {
    "type": "get",
    "url": "/api/album/goods",
    "title": "商品列表(goods)",
    "description": "<p>商品列表(goods)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "cat_id",
            "description": "<p>分类id</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "keywords",
            "description": "<p>关键词.</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "status",
            "description": "<p>状态  1 只选择热销 2 只选择最新上市 3只选择一个风格 4 同时选择热销和最新上市 5同时选择热销和风格 6同时选择最新上市和风格 7全选 0全不选</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "style",
            "description": "<p>风格</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"goods\": [\n             {\n                 \"id\": 3,\n                 \"cover_pic\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n                 \"name\": \"简约\",\n                 \"style\": \"纯白\",\n                 \"hot_cake\": 1,\n                 \"news\": 1,\n                 \"price\": \"\"\n             }\n         ],\n        \"name\": 品牌名\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumGoods"
  },
  {
    "type": "get",
    "url": "/api/album/goods-detail",
    "title": "商品详细(goods-detail)",
    "description": "<p>商品列表(goods-detail)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "goods_id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"id\": 3,\n         \"store_id\": 0,\n         \"cat_id\": 9,\n         \"specifications_img\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n         \"style\": \"纯白\",\n         \"sort\": 11,\n         \"cover_pic\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n         \"hot_cake\": 1,\n         \"news\": 1,\n         \"detail\": \"<p>达达娃达娃达娃大青蛙大全大是大非如果v率v恶策但是许多女性的项目部的不行么法可没副本副本副本么方便</p>\",\n         \"created_at\": \"2018-05-19 15:09:04\",\n         \"updated_at\": \"2018-05-19 15:09:04\",\n         \"deleted_at\": null,\n         \"install_img\": \"http://admin.xcx.com/upload/images/20180519/02f2dbe0e1046d7cea8b3b52d5642fb8.jpg\",\n         \"name\": \"简约\",\n         \"detail_pic\": \"\"\n         \"price\": \"\",\n         \"mobile\": \"\",\n         \"address\": \"\",\n         \"is_favorite\": 1,\n         \"favorite_id\": 4\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumGoodsDetail"
  },
  {
    "type": "get",
    "url": "/api/album/set-price",
    "title": "经销商修改价格(set-price)",
    "description": "<p>画册(set-price)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "goods_id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "agent_id",
            "description": "<p>经销商id 模拟值为10</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "type",
            "description": "<p>修改类型 0 电话 1 价格</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "mobile",
            "description": "<p>电话号码</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "address",
            "description": "<p>地址</p>"
          },
          {
            "group": "Parameter",
            "type": "double",
            "optional": true,
            "field": "price",
            "description": "<p>价格</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":[\n         \"msg\":返回信息,\n         \"data\":修改后价格\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumSetPrice"
  },
  {
    "type": "get",
    "url": "/api/album/style",
    "title": "属性列表(style)",
    "description": "<p>分类样式(style)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": [\n         {\n             \"id\": 2,\n             \"name\": \"1111\",\n             \"deleted_at\": null,\n             \"created_at\": \"2018-06-05 17:35:08\",\n             \"updated_at\": \"2018-06-05 17:35:08\",\n             \"store_id\": 0\n         }\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "GetApiAlbumStyle"
  },
  {
    "type": "post",
    "url": "/api/album/get-watch-recored",
    "title": "查看客户浏览情况(get-watch-recored)",
    "description": "<p>查看客户浏览情况(get-watch-recored)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": [\n         {\n             \"time\": 2018-1-1 10:10:12,\n             \"action\": '做了什么什么都做',\n             \"user\": [\n                 \"username\":\"王小贱\",\n                 \"avatar\":\"awdawdawdawdawdawd\",头像\n                 \"phone\":\"1123123123123\"\n             ]\n         }\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "PostApiAlbumGetWatchRecored"
  },
  {
    "type": "post",
    "url": "/api/album/login",
    "title": "登陆(login)",
    "description": "<p>登陆(login)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>小程序登录生成的code</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "nickName",
            "description": "<p>微信昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "avatar",
            "description": "<p>微信头像</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "PostApiAlbumLogin"
  },
  {
    "type": "post",
    "url": "/api/album/set-phone",
    "title": "获取用户号码(set-phone)",
    "description": "<p>获取用户号码(set-phone)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "code",
            "description": "<p>code</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "iv",
            "description": "<p>偏移量</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "encrypted",
            "description": "<p>加密参数</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":[\n         \"msg\":返回信息,\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "PostApiAlbumSetPhone"
  },
  {
    "type": "post",
    "url": "/api/album/set-watch",
    "title": "获取用户操作记录(set-watch)",
    "description": "<p>获取用户操作记录(set-watch)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id 模拟值为0</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "phone",
            "description": "<p>电话号码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\":[\n         \"msg\":返回信息,\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "PostApiAlbumSetWatch"
  },
  {
    "type": "post",
    "url": "/api/album/xyx_login",
    "title": "登陆(xyx_login)",
    "description": "<p>登陆(xyx_login)</p>",
    "group": "Album",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "code",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "agent_id",
            "description": "<p>经销商id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "store_id",
            "description": "<p>商户id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n          \"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImIyNGI3MzY3MDNmZDg3MGFjNTg2MWIxNDUzMDcyYjljYzFmNmJhMzE2NTAxZWVlNGYzM2M5MTIzNzFmNGYzZjg2MTY1M2YxMjE2YzE4OTFiIn0.eyJhdWQiOiI5IiwianRpIjoiYjI0YjczNjcwM2ZkODcwYWM1ODYxYjE0NTMwNzJiOWNjMWY2YmEzMTY1MDFlZWU0ZjMzYzkxMjM3MWY0ZjNmODYxNjUzZjEyMTZjMTg5MWIiLCJpYXQiOjE1NDA3OTYyMTYsIm5iZiI6MTU0MDc5NjIxNiwiZXhwIjoxNTcyMzMyMjE1LCJzdWIiOiIxIiwic2NvcGVzIjpbXX0.Ruihvl_HMCAHx9XDfeckz48Q_72kfG7vWDsqDrZWbrjq-yuNpM3LrUF-nlsKjedo97BwU_Apz-jnGVqr0ONKZlH-aBKDmIgM2aUZfFADsHhHNJH_oU2fMe1bOrjfUp-PJxfVWQS8c8h5RYmeqtzAYCKaD4P7OZbLmOX0YosKghpaGtiyE65s6jtrOXRhAzXAhYsZToQNBMokFVRqGih9EWuVp6EVwRtI3cb4IV6iQf08cX9DGlLLBJJzLWR5ZWgxJLAGrj5iMCWBl4JKVR8Fsy-xnx3EtrB7ODpJH6hB_u3XnUSAFuaG-KzMPLsj45iqg2hy53er2xtcfAowQFsPoAbZZu0n8c9hWt4GLemR6N1iZ3LBViv3tL5BK52pinQzAnmvltAhJP1YhfTOOjzkxcYVh2JeJagufEoxeeUarMMn21gQSFEzKFCimI7zZQxhT9leLpUn51DLD8Mu87NpYb3JN-JFbOlIDA7bDN3bNto7uuSuC4eBwPo3Ge0StuW4kjHsDTcrVF2He_8FdrPcPpGcvQsXQgv4vwlEhbL8dTlrOodum7H_tY_qUxUG1pEg6bfpn_82ej-AOSc9xi0nrhdcS9y_Z68rcwOJu8esI1pXm9TeQdZIDG85y_t74At8XN6oFcIM__6_dTne_3DHwijW-uOLupNky-5J4ILmZck\",\n          \"user\": {\n              \"user_id\": 1,\n              \"is_agent\": 1,\n              \"agent_id\": 4\n           }\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AlbumController.php",
    "groupTitle": "Album",
    "name": "PostApiAlbumXyx_login"
  },
  {
    "type": "get",
    "url": "/api/attachment/delete/{md5}",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDeleteMd5"
  },
  {
    "type": "get",
    "url": "/api/attachment/download/{md5}",
    "title": "下载文件（图片）",
    "description": "<p>下载文件（图片）(get code)</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  文件二进制码\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 404 Not found",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDownloadMd5"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"md5\": \"57c0fe723e1d7f7b0e45fd455aee19f2\",\n        \"url\": \"http://dev.xxg.com/upload/upload/20180727/57c0fe723e1d7f7b0e45fd455aee19f2.jpg\"\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "post",
    "url": "/api/auth/login",
    "title": "微信登陆入口（login）",
    "description": "<p>微信登陆入口(login)</p>",
    "group": "Auth",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>登录凭证</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "nickname",
            "description": "<p>微信昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "avatar",
            "description": "<p>微信头像</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjdjYWUyYzFmYTUwMTIyZDI0ZTRiYTZhZGZhNmQxYmZlOWNiMzIxMTBmYWJlZjNjYzIyNmViZjRmNGExNWM3NjllNmU2ZTNiYWE5OGNhOWUzIn0.eyJhdWQiOiIxIiwianRpIjoiN2NhZTJjMWZhNTAxMjJkMjRlNGJhNmFkZmE2ZDFiZmU5Y2IzMjExMGZhYmVmM2NjMjI2ZWJmNGY0YTE1Yzc2OWU2ZTZlM2JhYTk4Y2E5ZTMiLCJpYXQiOjE0NzU0MTE1NTgsIm5iZiI6MTQ3NTQxMTU1OCwiZXhwIjo0NjMxMDg1MTU4LCJzdWIiOiIxIiwic2NvcGVzIjpbXX0.E9YGEzuRUOk02aV1EiWLJ_pD0hKoCyW0k_sGy63hM3u5X8K_HI1kVhaU6JNLqLZeszIAroTEDB8XMgZKAqTLlwtL8PLCJcuDoxfk1BRHbfjhDheTsahBysKGalvNEpzRCrGlao0mS0Cg9qDpEsndtypPFS8sfaflToOzbJjiSK2DvQiHSH8xZI3zHJTezgZMz-pB_hPTxp8ajdv0ve1gWtWjs3vERr0Y91X4hngO8X7LuXtAYtfxGZRIye12YE7TuLBMYzj8CCfiRt7Smhyf4palNW5mzKlZpa2l87n6NQ14Iy4oMzQ2PON1j_swrosuE2yZohGOn6fDdSCBRdJ6dLD_emjBdQCQOoB63R7BbhFZgvFX25TjzFJ7r9AdVMiGmebuRKEVSZV_JCGu1C71OIbQk-UK35s00gSr2fmJGBbN2cZTXBRTJpfuMZ_ihFYEZrvVq_Ih2X0xkd36JUuxaUld1BXRgPZvH-9jBuhe0YW2OOlgwpdm6ZB8BMcuS4ftLoi6FipgzFqfIuy-0ZqPMDnJaG7Gycrdpxza00mgOFxYxJtqwZNsUWFRZEVU881l6VC_cy294YXSPQxUwEoyKg-G5Pm8AEB9bqv5z4EU4B8-XTd3zKNqtNba_snHbc711i4EytCiZfYSjNB1hwenq45YYOAhPTwOpFI0kxyRazc\",\n        \"user\": {\n            \"id\": 1,\n            \"name\": \"15888888888\",\n            \"email\": \"abcdefg@gmail.com\",\n            \"phone\": \"15888888888\",\n            \"avatar\": null,\n            \"last_ip\": null,\n            \"created_at\": \"2016-09-30 00:45:13\",\n            \"updated_at\": \"2016-09-29 16:43:36\"\n        }\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1102    INCORRECT_USER_OR_PASS          用户名或密码不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AuthController.php",
    "groupTitle": "Auth",
    "name": "PostApiAuthLogin"
  },
  {
    "type": "get",
    "url": "/api/car/delete",
    "title": "删除",
    "description": "<p>删除</p>",
    "group": "Car",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "ids",
            "description": "<p>主键id 数组</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n    {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": 2005\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CarController.php",
    "groupTitle": "Car",
    "name": "GetApiCarDelete"
  },
  {
    "type": "get",
    "url": "/api/car/index",
    "title": "购物车",
    "description": "<p>购物车</p>",
    "group": "Car",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": " HTTP/1.1 200 OK\n{\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": {\n            \"current_page\": 1,\n            \"data\": [\n                {\n                    \"id\": 1,\n                    \"goods_num\": 2,                    加入购物车商品的数量\n                    \"created_at\": null,\n                    \"goods\": {\n                        \"name\": \"商品1\",\n                        \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                        \"status\": 1,\n                        \"price\": 101100,              商品价格(分)\n                        \"sale_number\": 91,            已售数量\n                        \"stock\": 200,                 总库存\n                    }\n                },\n            ],\n            \"first_page_url\": \"http://www.s1.com/api/car/index?page=1\",\n            \"from\": 1,\n            \"last_page\": 1,\n            \"last_page_url\": \"http://www.s1.com/api/car/index?page=1\",\n            \"next_page_url\": null,\n            \"path\": \"http://www.s1.com/api/car/index\",\n            \"per_page\": 15,\n            \"prev_page_url\": null,\n            \"to\": 2,\n            \"total\": 2\n        }\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CarController.php",
    "groupTitle": "Car",
    "name": "GetApiCarIndex"
  },
  {
    "type": "post",
    "url": "/api/car/update",
    "title": "编辑",
    "description": "<p>编辑(修改购物车商品数量)</p>",
    "group": "Car",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "number",
            "description": "<p>购买数量</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": " HTTP/1.1 200 OK\n{\n        \"status\": true,\n        \"status_code\": 0,\n        \"message\": \"\",\n        \"data\": 2005\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CarController.php",
    "groupTitle": "Car",
    "name": "PostApiCarUpdate"
  },
  {
    "type": "get",
    "url": "/api/card/honor",
    "title": "个人荣誉(honor)",
    "description": "<p>个人荣誉(honor)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"honor\": []//个人荣誉\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardHonor"
  },
  {
    "type": "get",
    "url": "/api/card/index",
    "title": "名片主页(index)",
    "description": "<p>公司详情(index)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"banner\": []//轮播图\n        \"project\": []//经营项目\n        \"trend\": []//个人动态\n        \"info\": []//个人详情\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardIndex"
  },
  {
    "type": "get",
    "url": "/api/card/info",
    "title": "个人详情(info)",
    "description": "<p>个人详情(info)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"info\": []//个人详情\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardInfo"
  },
  {
    "type": "get",
    "url": "/api/card/progress",
    "title": "个人经历(progress)",
    "description": "<p>个人经历(progress)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"progress\": []//个人经历\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardProgress"
  },
  {
    "type": "get",
    "url": "/api/card/project",
    "title": "经营项目(project)",
    "description": "<p>经营项目(project)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"project\": []//经营项目\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardProject"
  },
  {
    "type": "get",
    "url": "/api/card/projectDetail",
    "title": "经营项目详情(projectDetail)",
    "description": "<p>经营项目详情(projectDetail)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pro_id",
            "description": "<p>项目ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"project\": []//经营项目\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardProjectdetail"
  },
  {
    "type": "get",
    "url": "/api/card/setting",
    "title": "基础设置",
    "description": "<p>基础设置</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardSetting"
  },
  {
    "type": "get",
    "url": "/api/card/trend",
    "title": "所有动态(trend)",
    "description": "<p>所有动态(trend)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"trend\": []//所有动态\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardTrend"
  },
  {
    "type": "get",
    "url": "/api/card/trendDetail",
    "title": "个人动态详情(trendDetail)",
    "description": "<p>个人动态详情(trendDetail)</p>",
    "group": "Card",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "user_id",
            "description": "<p>user_id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "trend_id",
            "description": "<p>动态ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"trend\": []//经营项目\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CardController.php",
    "groupTitle": "Card",
    "name": "GetApiCardTrenddetail"
  },
  {
    "type": "get",
    "url": "/api/cate/index",
    "title": "分类",
    "description": "<p>分类</p>",
    "group": "Cate",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "page",
            "defaultValue": "1",
            "description": "<p>页码（分页参数）</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "id",
            "description": "<p>分类 id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"cates\": [\n               {\n                   \"id\": 1,\n                   \"name\": \"首页分类1\",\n                   \"pic\": \"/upload/goods/cate/20171013/2454820f914e59dd4a90b575cd47e03c.jpg\",\n               },\n               {\n                   \"id\": 3,\n                   \"name\": \"首页分类2\",\n                   \"pic\": \"/upload/goods/cate/20171013/0e67c1d32c450c5ccd0a9aae5ec9ab96.jpg\",\n               }\n           ],\n           \"goods\": {\n           \"current_page\": 1,\n           \"data\": [\n               {\n                   \"id\": 1,\n                   \"name\": \"商品1\",\n                   \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n               }\n           ],\n           \"first_page_url\": \"http://www.s1.com/api/cate/index?page=1\",\n           \"from\": 1,\n           \"last_page\": 1,\n           \"last_page_url\": \"http://www.s1.com/api/cate/index?page=1\",\n           \"next_page_url\": null,\n           \"path\": \"http://www.s1.com/api/cate/index\",\n           \"per_page\": 10,\n           \"prev_page_url\": null,\n           \"to\": 1,\n           \"total\": 1\n           }\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CateController.php",
    "groupTitle": "Cate",
    "name": "GetApiCateIndex"
  },
  {
    "type": "get",
    "url": "/api/company/info",
    "title": "公司详情(info)",
    "description": "<p>公司详情(info)</p>",
    "group": "Company",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"info\": []//公司详情\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/CompanyController.php",
    "groupTitle": "Company",
    "name": "GetApiCompanyInfo"
  },
  {
    "type": "get",
    "url": "/api/find/index",
    "title": "发现",
    "description": "<p>发现</p>",
    "group": "Find",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "page",
            "description": "<p>分页参数</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": " HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"current_page\": 1,\n        \"data\": [\n            {\n                \"id\": 1,\n                \"title\": \"test\",\n                \"pic\": \"/upload/article/20171013/91a15c6f30ad510db5165dad5ac1fff9.jpg\",\n                \"info\": \"驱蚊器翁\",\n                \"viewed\": 0,\n                \"sort\": 1,\n                \"created_at\": \"2017-10-13 03:34:02\",\n                \"updated_at\": \"2017-10-13 03:34:02\"\n            },\n        ],\n        \"first_page_url\": \"http://www.s1.com/api/find/index?page=1\",\n        \"from\": 1,\n        \"last_page\": 1,\n        \"last_page_url\": \"http://www.s1.com/api/find/index?page=1\",\n        \"next_page_url\": null,\n        \"path\": \"http://www.s1.com/api/find/index\",\n        \"per_page\": 10,\n        \"prev_page_url\": null,\n        \"to\": 3,\n        \"total\": 3\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FindController.php",
    "groupTitle": "Find",
    "name": "GetApiFindIndex"
  },
  {
    "type": "get",
    "url": "/api/furniture/add_comments",
    "title": "添加新闻评论",
    "description": "<p>添加新闻评论(news_list)</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "news_id",
            "description": "<p>新闻ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "content",
            "description": "<p>评论内容</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "comments_id",
            "description": "<p>被回复的评论ID。对新闻评论：0;  对评论回复：被回复的评论的具体ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"res\": []//结果\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   401                                     token已过期，请重新登录",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureAdd_comments"
  },
  {
    "type": "get",
    "url": "/api/furniture/addtolike",
    "title": "新闻点赞",
    "description": "<p>新闻点赞</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "news_id",
            "description": "<p>新闻ID</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "like",
            "description": "<p>喜欢 （参数：1）</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"res\": []//结果\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureAddtolike"
  },
  {
    "type": "get",
    "url": "/api/furniture/getmorecomments",
    "title": "获取全部评论/回复",
    "description": "<p>获取全部评论/回复(getmorecomments)</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>评论/回复 id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        comments\": {\n                 \"id\": 13,\n                 \"store_id\": 2,\n                 \"user_id\": 6,\n                 \"comments_id\": 0,                              //被评论id 0：表示对新闻评论\n                 \"content\": \"adff\",\n                 \"created_at\": \"2018-06-14 15:49:38\",\n                 \"updated_at\": \"2018-06-14 15:49:38\",\n                 \"news_id\": 5,                                   //新闻id\n                 \"deleted_at\": null,\n                 \"sys_reply\": \"\",\n                 \"username\": \"Wesley\",\n                 \"avatar\": \"https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLnEDDuGRN9Dl7icBbph1JRvmQ7x2D4tiaGGVHApGAu9FCy9yb1bOcboIctAjRsyic4Ucn3z7K3QCUyg/132\",\n             },\n     \"comments_replys\": {\n         \"current_page\": 1,\n         \"data\": [\n              {\n                 \"id\": 13,\n                 \"store_id\": 2,\n                 \"user_id\": 6,\n                 \"comments_id\": 13,                              //被评论id 0：表示对新闻评论\n                 \"content\": \"adff\",\n                 \"created_at\": \"2018-06-14 15:49:38\",\n                 \"updated_at\": \"2018-06-14 15:49:38\",\n                 \"news_id\": 5,                                   //新闻id\n                 \"deleted_at\": null,\n                 \"sys_reply\": \"\",\n                 \"username\": \"Wesley\",\n                 \"avatar\": \"https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLnEDDuGRN9Dl7icBbph1JRvmQ7x2D4tiaGGVHApGAu9FCy9yb1bOcboIctAjRsyic4Ucn3z7K3QCUyg/132\",\n                 \"replys\": {\n                     \"current_page\": 1,\n                     \"data\": [],\n                     \"first_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n                     \"from\": null,\n                     \"last_page\": 1,\n                     \"last_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n                     \"next_page_url\": null,\n                     \"path\": \"http://localhost:8082/api/furniture/news_detail\",\n                     \"per_page\": 5,\n                     \"prev_page_url\": null,\n                     \"to\": null,\n                     \"total\": 0\n}\n}\n],\n\"first_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n\"from\": 1,\n\"last_page\": 1,\n\"last_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n\"next_page_url\": null,\n\"path\": \"http://localhost:8082/api/furniture/news_detail\",\n\"per_page\": 5,\n\"prev_page_url\": null,\n\"to\": 1,\n\"total\": 1\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureGetmorecomments"
  },
  {
    "type": "get",
    "url": "/api/furniture/goods_list",
    "title": "获取产品列表",
    "description": "<p>获取产品列表(goods_list)</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户id 模拟值为1</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"current_page\": 1,\n         \"data\": [\n...\n             {\n                 \"id\": 1,\n                 \"goods_id\":12               //要跳转的小程序id\n                 \"name\": \"床垫测试\",\n                 \"img\": \"http://s1.xcx.com/upload/img/20180720/70f926022b933658d269106172e18bf0.png\",\n                 \"sort\": 99,\n                 \"status\": 1,\n                 \"store_id\": 1,\n                 \"created_at\": \"2018-07-20 14:56:42\",\n                 \"updated_at\": \"2018-07-20 17:36:23\",\n                 \"price\": 199\n             }\n...\n         ],\n         \"first_page_url\": \"http://s1.xcx.com/api/furniture/goods_list?page=1\",\n         \"from\": 1,\n         \"last_page\": 1,\n         \"last_page_url\": \"http://s1.xcx.com/api/furniture/goods_list?page=1\",\n         \"next_page_url\": null,\n         \"path\": \"http://s1.xcx.com/api/furniture/goods_list\",\n         \"per_page\": 5,\n         \"prev_page_url\": null,\n         \"to\": 4,\n         \"total\": 4\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureGoods_list"
  },
  {
    "type": "get",
    "url": "/api/furniture/news_detail",
    "title": "获取新闻详情",
    "description": "<p>获取新闻详情(news_detail)</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "newsid",
            "description": "<p>新闻id</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        news\": {\n             \"id\": 5,\n             \"store_id\": 2,\n             \"title\": \"测试时\",\n             \"thumb\": null,\n             \"content\": \"<p>啊师傅阿凡达</p>\",\n             \"bad\": 0,                                  //淘汰\n             \"commonly\": 0,                             //一般\n             \"like\": 0,                                 //喜欢\n             \"viewed\": 0,                               //浏览次数\n             \"sort\": 87,\n             \"created_at\": \"2018-05-28 09:33:01\",\n             \"updated_at\": \"2018-05-28 09:33:01\",\n             \"avatar\": \"https://u3.9026.com/upload/common/20171013/137d21eb6dbaca67475c8ca27640dcfc.png\"\n             },\n     \"news_comments\": {\n         \"current_page\": 1,\n         \"data\": [\n              {\n                 \"id\": 13,\n                 \"store_id\": 2,\n                 \"user_id\": 6,\n                 \"comments_id\": 0,                              //被评论id 0：表示对新闻评论\n                 \"content\": \"adff\",\n                 \"created_at\": \"2018-06-14 15:49:38\",\n                 \"updated_at\": \"2018-06-14 15:49:38\",\n                 \"news_id\": 5,                                   //新闻id\n                 \"deleted_at\": null,\n                 \"sys_reply\": \"\",\n                 \"username\": \"Wesley\",\n                 \"avatar\": \"https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLnEDDuGRN9Dl7icBbph1JRvmQ7x2D4tiaGGVHApGAu9FCy9yb1bOcboIctAjRsyic4Ucn3z7K3QCUyg/132\",\n                 \"replys\": {\n                     \"current_page\": 1,\n                     \"data\": [],\n                     \"first_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n                     \"from\": null,\n                     \"last_page\": 1,\n                     \"last_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n                     \"next_page_url\": null,\n                     \"path\": \"http://localhost:8082/api/furniture/news_detail\",\n                     \"per_page\": 5,\n                     \"prev_page_url\": null,\n                     \"to\": null,\n                     \"total\": 0\n}\n}\n],\n\"first_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n\"from\": 1,\n\"last_page\": 1,\n\"last_page_url\": \"http://localhost:8082/api/furniture/news_detail?page=1\",\n\"next_page_url\": null,\n\"path\": \"http://localhost:8082/api/furniture/news_detail\",\n\"per_page\": 5,\n\"prev_page_url\": null,\n\"to\": 1,\n\"total\": 1\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureNews_detail"
  },
  {
    "type": "get",
    "url": "/api/furniture/news_list",
    "title": "获取新闻列表",
    "description": "<p>获取新闻列表(news_list)</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "store_id",
            "description": "<p>商户id 模拟值为1</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"current_page\": 1,                     //当前页\n         \"data\": [\n...\n             {\n                 \"id\": 1,\n                 \"store_id\": 1,\n                 \"title\": \"123123\",\n                 \"thumb\": \"http://s1.xcx.com/upload/agent_pic/20180702/19b0e148f1c9f2b6c3667c81bb06a687.jpg\",\n                 \"content\": \"<p>1232123123123</p>\",\n                 \"bad\": 0,\n                 \"commonly\": 0,\n                 \"like\": 0,\n                 \"viewed\": 133,\n                 \"sort\": 127,\n                 \"created_at\": \"2018-05-24 15:21:42\",\n                 \"updated_at\": \"2018-07-20 16:58:48\"\n                 },\n...\n         ],\n     \"first_page_url\": \"http://s1.xcx.com/api/furniture/news_list?page=1\",       //首页url\n     \"from\": 1,\n     \"last_page\": 1,\n     \"last_page_url\": \"http://s1.xcx.com/api/furniture/news_list?page=1\",        //尾页url\n     \"next_page_url\": null,                                                      //下一页url\n     \"path\": \"http://s1.xcx.com/api/furniture/news_list\",\n     \"per_page\": 5,\n     \"prev_page_url\": null,                                                     //上一页url\n     \"to\": 3,\n     \"total\": 3\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "GetApiFurnitureNews_list"
  },
  {
    "type": "post",
    "url": "/api/furniture/setting",
    "title": "首页基本设置",
    "description": "<p>首页基本设置</p>",
    "group": "Furniture",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": "<p>店铺ID</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"setting\": {\n                 \"name\": \"某某厂家\",\n                 \"goods_app_id\": \"afdasfa\",               //商品要跳转的appid\n                 \"goods_app_path\": \"page/goods/goods\",               //商品要跳转的url\n                 \"illustrated_name\": \"在线画册\",\n                 \"avatar\": \"http://s1.xcx.com/upload/s1test/20180716/bb123f13bf8a42f0a86b55e7bf861400.png\",\n                 \"notice\": \"这是一条公告测试！\",\n                 \"advertising_pic\": \"\"\n         },\n         \"banner\": [                //轮播图\n...\n             {\n                 \"id\": 4,\n                 \"store_id\": 1,\n                 \"pic_url\": \"https://u3.9026.com/upload/temp_pic/20171013/da1d53cd93bfa4c8ed34939314ca18fb.jpg\",\n                 \"title\": \"轮播图测试\",\n                 \"page_url\": \"news/news\",\n                 \"sort\": 87,\n             }\n...\n          ],\n         \"navbar\": [               //底部导航栏\n...\n             {\n                 \"id\": 9,\n                 \"store_id\": 1,\n                 \"name\": \"联系我们\",\n                 \"url\": \"/pages/index/index\",\n                 \"open_type\": \"1\",\n                 \"pic_url\": \"http://s1.xcx.com/upload/agent_show/20180702/7e638f0ca464f8096fba8a658b49d556.png\",\n                 \"sort\": 100,\n                 \"created_at\": \"2018-07-16 16:05:29\",\n                 \"updated_at\": \"2018-07-20 18:08:37\",\n                 \"deleted_at\": null,\n                 \"mobile\": \"13407570861\",\n                 \"address\": null,\n                 \"app_id\": null,\n                 \"state\": 0,\n                 \"lon\": null,\n                 \"lat\": null\n             }\n...\n         ],\n\"menus\": [               //顶部导航栏\n...\n             {\n                 \"id\": 9,\n                 \"store_id\": 1,\n                 \"name\": \"联系我们\",\n                 \"url\": \"/pages/index/index\",\n                 \"open_type\": \"1\",\n                 \"pic_url\": \"http://s1.xcx.com/upload/agent_show/20180702/7e638f0ca464f8096fba8a658b49d556.png\",\n                 \"sort\": 100,\n                 \"created_at\": \"2018-07-16 16:05:29\",\n                 \"updated_at\": \"2018-07-20 18:08:37\",\n                 \"deleted_at\": null,\n                 \"mobile\": \"13407570861\",\n                 \"address\": null,\n                 \"app_id\": null,\n                 \"state\": 1,\n                 \"lon\": null,\n                 \"lat\": null\n             }\n...\n         ]\n\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture",
    "name": "PostApiFurnitureSetting"
  },
  {
    "type": "get",
    "url": "/api/furniture/getattr",
    "title": "获取产品属性",
    "description": "<p>获取产品属性</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "id",
            "description": "<p>默认获取品类，传品类id获取该品类的型号，传型号id获取该型号的颜色</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": [\n...\n         {\n             \"id\": 1,\n             \"name\": \"冰箱\",\n             \"pid\": 0,\n             \"attr_type\": 0,\n             \"sort\": 100,\n             \"store_id\": 1,\n             \"deleted_at\": null,\n             \"created_at\": \"2018-06-28 02:55:26\",\n             \"updated_at\": \"2018-06-28 02:59:29\"\n         },\n...\n     ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetattr"
  },
  {
    "type": "get",
    "url": "/api/furniture/getfurnitureads",
    "title": "获取首页广告",
    "description": "<p>获取首页广告</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"furniture_ads_pic\": \"http://s1.xcx.com/upload/img/20180720/70f926022b933658d269106172e18bf0.png\"\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetfurnitureads"
  },
  {
    "type": "get",
    "url": "/api/furniture/getorder",
    "title": "获取订单信息",
    "description": "<p>获取订单</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "user_id",
            "description": "<p>(填写user_id,查询用户个人订单，不填则查询店铺订单)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "status",
            "description": "<p>(可填) (选填 0:待审核；1：待生产；2：生产中；3：待发货；4：运输中/未签收 5：已签收/待评价 6:已评价 7:已取消 null:全部订单 8:生产部全部订单/个人待发货订单 9：包装部全部订单)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "expected",
            "description": "<p>(1：查询逾期的订单)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"current_page\": 1,\n         \"data\": [\n...\n             {\n                 \"id\": 1,\n                  \"sno\": \"s1001\",\n                 \"qrcode\": \"qr.png\",\n                 \"status\": 1,\n                 \"category\": \"冰箱\",\n                 \"type\": \"s1002\",\n                 \"color\": \"白色\",\n                 \"picture\": \"1.ipg\",\n                 \"question\": \"问题测试\",\n                 \"customer_name\": \"wesley\",\n                 \"customer_phone\": \"18380257014\",\n                 \"customer_address\": \"成都市新都区\",\n                 \"user_id\": 1,\n                 \"producer_id\": null,\n                 \"packer_id\": null,\n                 \"price\": 50,\n                 \"expected_time\": \"2018-07-05\",\n                 \"remark\": null,\n                 \"store_id\": 1,\n                 \"created_at\": \"2018-07-03 17:18:26\",\n                 \"updated_at\": \"2018-07-05 14:53:42\"\n         }\n...\n     ],\n                 \"first_page_url\": \"http://s1.xcx.com/api/furniture/getorder?page=1\",\n                 \"from\": 1,\n                 \"last_page\": 1,\n                 \"last_page_url\": \"http://s1.xcx.com/api/furniture/getorder?page=1\",\n                 \"next_page_url\": null,\n                 \"path\": \"http://s1.xcx.com/api/furniture/getorder\",\n                 \"per_page\": 5,\n                 \"prev_page_url\": null,\n                 \"to\": 2,\n                 \"total\": 2                                     //订单数量\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetorder"
  },
  {
    "type": "get",
    "url": "/api/furniture/getorderdetail",
    "title": "获取订单详情",
    "description": "<p>获取订单详情</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "order_id",
            "description": ""
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"order\": {         //订单详情\n             \"id\": 1,\n             \"sno\": \"s1001\",\n             \"qrcode\": \"qr.png\",\n             \"status\": 1,\n             \"category\": \"冰箱\",\n             \"type\": \"s1002\",\n             \"color\": \"白色\",\n             \"question\": \"问题测试\",\n             \"customer_name\": \"wesley\",\n             \"customer_phone\": \"18380257014\",\n             \"customer_address\": \"成都市新都区\",\n             \"user_id\": 1,\n             \"producer_id\": null,\n             \"packer_id\": null,\n             \"price\": 50,\n             \"expected_time\": \"2018-07-05\",\n             \"remark\": null,                             //备注\n             \"store_id\": 1,\n             \"deleted_at\": null,\n             \"created_at\": \"2018-07-03 17:18:26\",\n             \"updated_at\": \"2018-07-05 14:53:42\",\n             \"pcture\": [\n                 \"1.png\",\n                 \"2.png\"\n             ]\n         },\n     \"progress\": [            //订单进度\n...\n         {\n             \"created_at\": \"2018-08-02 17:31:14\",\n             \"description\": \"订单已提交，等待审核\",\n             \"status\": 0\n         }\n...\n     ],\n     \"parts\": [               //订单配件\n...\n         {\n             \"name\": \"螺丝刀\",\n             \"count\": 1\n          },\n...\n         ]\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetorderdetail"
  },
  {
    "type": "get",
    "url": "/api/furniture/getprogress",
    "title": "订单进度统计",
    "description": "<p>订单进度统计</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "user_id",
            "description": "<p>(查询用户个人各个订单状态数量时带上此参数)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "status",
            "description": "<p>( 0:待审核；1：待生产；2：生产中；3：待发货；4：未签收，不填写则返回所有状态下的订单数量)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "expected",
            "description": "<p>1：逾期)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 所有状态统计\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"\"count\": [\n              {\n                 \"status\": 0,             //订单状态\n                  \"total\": 1              //改状态订单数量\n              },\n              {\n                  \"status\": 1,\n                  \"total\": ''\n              },\n                  \"status\": 2,\n                  \"total\": ''\n              },\n                  \"status\": 3,\n                  \"total\": ''\n              },\n                  \"status\": 4,\n                  \"total\": ''\n              },\n              {\n              \"expected\": 1,\n              \"total\": 1\n              }\n                   ]\n    }\n}",
          "type": "json"
        },
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 具体状态下统计图\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"count\": [\n...\n              {\n              \"customer_name\": \"\",        //联系人姓名\n              \"days\": \"\"                  //该状态维持天数\n              }\n...\n         ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetprogress"
  },
  {
    "type": "get",
    "url": "/api/furniture/getreviewcount",
    "title": "评价统计",
    "description": "<p>评价统计</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "days",
            "description": "<p>(必填 0:今天；7：7天内；30：30天内</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 所有状态统计\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"verifier\": [                             //客服部\n                 {\n                  \"verifier_review\": 0,           评价等级：0：好评 1：中评 2：差评\n                  \"verifier\": 7                    评价数量\n                  }，\n                 {\n                  \"verifier_review\": 1,\n                  \"verifier\": 5\n                  }，\n          ],\n         \"producer\": [                           //生产部\n                 {\n                  \"producer_review\": 0,\n                  \"producer\": 1\n                  },\n            ...\n         ],\n         \"packer\": [                            //包装部\n             {\n              \"producer_review\": 0,\n              \"producer\": 1\n              },\n           ...\n         ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureGetreviewcount"
  },
  {
    "type": "get",
    "url": "/api/furniture/ordercount",
    "title": "按产品/品类统计",
    "description": "<p>按产品/品类统计</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "type",
            "description": "<p>按产品统计，可选值：1</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "category",
            "description": "<p>按品类统计，与type二选一，不能与type同时传值。可选值：1（所有品类）具体品类的值（统计具体品类）</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "days",
            "description": "<p>可选：0，7，30</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 所有状态统计\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n...\n        {\n          \"days\": \"2018-07-03\",  //日期\n          \"count\": 2,            //数量\n          \"category\": \"冰箱\",    //品类\n          \"type\": \"s1002\"       //产品型号\n          },\n...\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureOrdercount"
  },
  {
    "type": "get",
    "url": "/api/furniture/searchlist",
    "title": "产品订单搜索列表页",
    "description": "<p>产品订单搜索列表页</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "keyword",
            "description": "<p>搜索关键字</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"current_page\": 1,\n         \"data\": [\n...\n             {\n                 \"id\": 1,\n                  \"sno\": \"s1001\",\n                 \"qrcode\": \"qr.png\",\n                 \"status\": 1,\n                 \"category\": \"冰箱\",\n                 \"type\": \"s1002\",\n                 \"color\": \"白色\",\n                 \"picture\": \"1.ipg\",\n                 \"question\": \"问题测试\",\n                 \"customer_name\": \"wesley\",\n                 \"customer_phone\": \"18380257014\",\n                 \"customer_address\": \"成都市新都区\",\n                 \"user_id\": 1,\n                 \"producer_id\": null,\n                 \"packer_id\": null,\n                 \"price\": 50,\n                 \"expected_time\": \"2018-07-05\",\n                 \"remark\": null,\n                 \"store_id\": 1,\n                 \"created_at\": \"2018-07-03 17:18:26\",\n                 \"updated_at\": \"2018-07-05 14:53:42\"\n         }\n...\n     ],\n                 \"first_page_url\": \"http://s1.xcx.com/api/furniture/getorder?page=1\",\n                 \"from\": 1,\n                 \"last_page\": 1,\n                 \"last_page_url\": \"http://s1.xcx.com/api/furniture/getorder?page=1\",\n                 \"next_page_url\": null,\n                 \"path\": \"http://s1.xcx.com/api/furniture/getorder\",\n                 \"per_page\": 5,\n                 \"prev_page_url\": null,\n                 \"to\": 2,\n                 \"total\": 2                                     //订单数量\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "GetApiFurnitureSearchlist"
  },
  {
    "type": "post",
    "url": "/api/furniture/addreview",
    "title": "添加评论",
    "description": "<p>添加评论</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "order_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "verifier_review",
            "description": "<p>客服部评论：0：好评；1：中评：2：差评</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "producer_review",
            "description": "<p>生产部部评论：0：好评；1：中评：2：差评</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "packer_review",
            "description": "<p>包装部评论：0：好评；1：中评：2：差评</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "description",
            "description": "<p>评论描述</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "picture",
            "description": "<p>图片</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 添加评论成功\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"store_id\": \"1\",\n         \"verifier_review\": \"0\",\n         \"producer_review\": \"0\",\n         \"packer_review\": \"1\",\n         \"order_id\": \"1\",\n         \"updated_at\": \"2018-07-26 15:03:33\",\n         \"created_at\": \"2018-07-26 15:03:33\",\n         \"id\": 5\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureAddreview"
  },
  {
    "type": "post",
    "url": "/api/furniture/createorder",
    "title": "创建售后订单",
    "description": "<p>创建售后订单</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": "<p>Store_id</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "category",
            "description": "<p>产品类别</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "type",
            "description": "<p>产品型号</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "color",
            "description": "<p>产品颜色</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "question",
            "description": "<p>问题描述</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "picture",
            "description": "<p>图片</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "customer_name",
            "description": "<p>联系人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "customer_phone",
            "description": "<p>联系人电话</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "customer_address",
            "description": "<p>联系人地址</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"category\": [\n\n         ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureCreateorder"
  },
  {
    "type": "post",
    "url": "/api/furniture/getphonenumber",
    "title": "获取手机号",
    "description": "<p>获取手机号</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "session_key",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "iv",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "encryptData",
            "description": ""
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"decryptedData\": [\n\n         ]\n\n    }\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureGetphonenumber"
  },
  {
    "type": "post",
    "url": "/api/furniture/printorder",
    "title": "打印订单",
    "description": "<p>打印订单</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "order_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "role",
            "description": "<p>1:生产部</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n         \"code\": 200,\n         \"msg\": \"打印成功！\"\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurniturePrintorder"
  },
  {
    "type": "post",
    "url": "/api/furniture/saveformid",
    "title": "保存formid",
    "description": "<p>保存formid</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "openid",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "formid",
            "description": ""
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n    \"data\": {\n         \"code\": 200,\n         \"msg\": \"添加成功\"\n}\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureSaveformid"
  },
  {
    "type": "post",
    "url": "/api/furniture/service_login",
    "title": "登陆(login)",
    "description": "<p>登陆(login)</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "code",
            "description": "<p>小程序登录生成的code</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "nickName",
            "description": "<p>微信昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "avatar",
            "description": "<p>微信头像</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n     \"status\": true,\n     \"status_code\": 0,\n     \"message\": \"\",\n     \"data\": {\n\"token\": \"eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6IjUzMzYwMzNlNzIwOTE3YjE0NDc4YjgxMWY5MmI4MjBmMThlNDgxNjJjZGFkYmEwNGI3ZjliZTNmZjRlMTY2YjU4NGU4MzJhN2RmYzY2ZTcxIn0.eyJhdWQiOiIxIiwianRpIjoiNTMzNjAzM2U3MjA5MTdiMTQ0NzhiODExZjkyYjgyMGYxOGU0ODE2MmNkYWRiYTA0YjdmOWJlM2ZmNGUxNjZiNTg0ZTgzMmE3ZGZjNjZlNzEiLCJpYXQiOjE1MzI0MjA3NDAsIm5iZiI6MTUzMjQyMDc0MCwiZXhwIjoxNTYzOTU2NzQwLCJzdWIiOiIyIiwic2NvcGVzIjpbXX0.YnuRiJI9jlt-KeQ480UEpLWCUU8FEJvlTRtAdjOlP0BWmcdo0E9rGS4hriYnpfJOn09Cw0aRYuc4dgQYL_JWD2fodlGg1LRIvPTOtvM5TiwM86kQJawvfFw7X7p9nOhxrFa5Tyir0cdTcV0SmQbq8KIptjdR8j7wUTByKhONexBXtNnlZSpw70ckTQrAstkn97IDwPo04hhGhf6eDPc8ler0HONiAVqbRvvNG6yHShJarP1hxyXrYN2BM0N7dtLD_8Sr8XaXL6ie4rRFVM4fNwpn74DkiDwXY6-5Xet6mzPvvzARAmU5vJ7JHhcL1N7m7poNp6YCx_mZAZ1z8PGDKrtQWoVeAmIxo7qtI6jvgvUpEFnJQ-KHCunXflNBL-vIYW4o3llnYqku1pcBdAUfkYLjYUgB3EZio280_8q-6Q24VAMiHZ58AjYvHHJJssdOa3dVHGD9Iq2z1dWR6gmZ4MgGCunCcAe9L_CbDm7VtMq3nKj4a1WScRiMD5nlKAHgy4O32rtNXqDr5T-eV-QNa4ZOv4VZ1AR-WE4RkO4ArKPaFxgSa9mak98PU8NHcPaJ_B3eDbvtwtMloTXWSQP08cmUPXKjEwXvszdkUt-ZWirw5Sd22h3qMdCI3gcvzT4_rnDKCEk37P09fUIK8LZrS4s2xOhueHziMzheAF0QekI\",\n     \"user\": {\n         \"id\": 2,\n         \"store_id\": 1,\n         \"username\": \"roger\",\n         \"role\": 0,                        //用户类型：0：普通用户；1：生产部 2：包装部 3：经理\n         \"wechat_open_id\": \"olAS94uwfTdsL3nDnvG67p_v5Vks\",\n         \"avatar\": \"https://wx.qlogo.cn/mmopen/vi_32/IOcxico8l4A7W3qxDeA53Id5kVAj2ibUGvQib9QibicTp5c1RNshDj6EKz2PKWp3reHfib0xxT4wa7jJzcb7a4EggkVw/132\",\n         \"is_dealer\": 0                 //是否经销商 0：不是 1：是\n         },\n     \"session_key\": 'pGgENkTGXLQD4hPuTF8yEw=='\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   40029                                   获取openid失败",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureService_login"
  },
  {
    "type": "post",
    "url": "/api/furniture/updatestatus",
    "title": "更新订单状态",
    "description": "<p>更新订单状态</p>",
    "group": "Furniture_Service",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "store_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "order_id",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "status",
            "description": "<p>2:开始生产 3：生产完毕并入库 4：发货 5：确认收货 7:取消订单</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "remark",
            "description": "<p>备注，发货时可携带此参数</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK   更新状态成功\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"ok\":1\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/FurnitureController.php",
    "groupTitle": "Furniture_Service",
    "name": "PostApiFurnitureUpdatestatus"
  },
  {
    "type": "get",
    "url": "/api/goods/addtocar",
    "title": "添加至购物车",
    "description": "<p>添加至购物车</p>",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "number",
            "description": "<p>商品数量</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": false,
            "field": "attr",
            "description": "<p>商品属性</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/GoodsController.php",
    "groupTitle": "Goods",
    "name": "GetApiGoodsAddtocar"
  },
  {
    "type": "get",
    "url": "/api/goods/chose_attr",
    "title": "选择属性",
    "description": "<p>选择属性</p>",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": false,
            "field": "attr",
            "description": "<p>商品属性</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/GoodsController.php",
    "groupTitle": "Goods",
    "name": "GetApiGoodsChose_attr"
  },
  {
    "type": "get",
    "url": "/api/goods/collection",
    "title": "收藏/取消",
    "description": "<p>收藏/取消</p>",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "value",
            "description": "<p>0或1 0(取消收藏)</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n    {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": \"\"\n    }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/GoodsController.php",
    "groupTitle": "Goods",
    "name": "GetApiGoodsCollection"
  },
  {
    "type": "get",
    "url": "/api/goods/show",
    "title": "商品详情",
    "description": "<p>商品详情</p>",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>商品id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"id\": 1,\n           \"appid\": \"dsfbdffd32434dfvdf\",\n           \"cate_id\": 4,\n           \"is_home_cate\": 1,\n           \"home_cate_id\": 3,\n           \"attr_id\": 0,\n           \"name\": \"商品1\",\n           \"number\": \"0011\",\n           \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n           \"weight\": 1001,\n           \"stock\": 10081,\n           \"status\": 1,\n           \"market_price\": 100100,\n           \"price\": 101100,\n           \"cost_price\": 99100,\n           \"junior_price\": 0,\n           \"middle_price\": 0,\n           \"top_price\": 0,\n           \"sale_number\": 91,\n           \"info\": \"好东西1\",\n           \"is_address\": 1,\n           \"sort\": 11,\n           \"is_favorite\": 1,  或 0  1已经收藏\n           \"ground_time\": \"2017-10-13 10:29:19\",\n           \"draw_time\": \"0000-00-00 00:00:00\",\n           \"created_at\": \"2017-10-13 02:29:19\",\n           \"updated_at\": \"2017-10-13 03:02:21\",\n           \"deleted_at\": null,\n           'attr_info':null                  已经选择的属性\n           \"attr\": {                          属性\n               \"规格\": [\n                   \"ML\",\n                   \"L\",\n                   \"XL\",\n                   \"XXL\"\n               ],\n               \"颜色\": [\n                   \"黑色\",\n                   \"白色\"\n               ]\n           },\n           \"images\": [                     图片\n               {\n                   \"url\": \"/upload/s1/goods/shows/20171013/46072732d071540939acd5e875f383dd.jpg\",\n               },\n           ],\n           \"comments\": [                  评论\n               {\n                   \"id\": 1,\n                   \"wx_user_id\": 1,\n                   \"wx_user_avatar\": \"0\",   头像\n                   \"wx_user_nickname\": \"0\",  昵称\n                   \"comment\": \"dsgdsfdfsdfbf\",\n                   \"created_at\": null,\n                   \"updated_at\": null\n               }\n           ]\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/GoodsController.php",
    "groupTitle": "Goods",
    "name": "GetApiGoodsShow"
  },
  {
    "type": "post",
    "url": "/api/goods/comment",
    "title": "评价/回复评价",
    "description": "<p>评价</p>",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "goods_id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "level",
            "description": "<p>评论星级(321好中差)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "comment",
            "description": "<p>评论内容不能为空</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "comment_id",
            "description": "<p>评论id</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": true,
            "field": "images",
            "description": "<p>上传图片</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": \"\"\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 2006,\n        \"message\": \"操作失败\",\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/GoodsController.php",
    "groupTitle": "Goods",
    "name": "PostApiGoodsComment"
  },
  {
    "type": "get",
    "url": "/api/home/index",
    "title": "首页",
    "description": "<p>首页</p>",
    "group": "Home",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "head_cate_id",
            "description": "<p>头部分类id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"banner\": [                              轮播图\n               {\n                   \"id\": 1002,\n                   \"value\": \"/upload/banner/20171015/cd985cb0aac48ca5ea7b34c366c711fa.jpg\",\n                   \"sort\": 1,\n               }\n           ],\n           \"cates\": [                                分类\n               {\n                   \"id\": 4,\n                   \"name\": \"商品分类2\",\n                   \"pic\": \"/upload/goods/cate/20171013/923996f99388fa90acfee1bf31a909fa.jpg\",\n                   \"status\": 1,\n                   \"sort\": 11,\n                   \"goods\": [\n                       {\n                           \"id\": 1,\n                           \"is_home_cate\": 1,\n                           \"home_cate_id\": 3,\n                           \"name\": \"商品1\",\n                           \"number\": \"0011\",\n                           \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                           \"status\": 1,\n                       }\n                   ]\n               }\n           ],\n           \"goods\": [                               商品\n           {\n               \"id\": 1,\n               \"name\": \"首页分类1\",\n               \"pic\": \"/upload/goods/cate/20171013/2454820f914e59dd4a90b575cd47e03c.jpg\",\n               \"goods\": [\n                   {\n                       \"id\": 1,\n                       \"is_home_cate\": 1,\n                       \"home_cate_id\": 3,\n                       \"name\": \"商品1\",\n                       \"number\": \"0011\",\n                       \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                       \"status\": 1,\n                   }\n               ]\n               },\n           ]\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Home",
    "name": "GetApiHomeIndex"
  },
  {
    "type": "get",
    "url": "/api/home/search",
    "title": "搜索",
    "description": "<p>搜索</p>",
    "group": "Home",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "keyword",
            "description": "<p>keyword</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"banner\": [\n               {\n                   \"value\": \"/upload/banner/20171012/71a9962b9b9de1876c4d76ed6d879afd.jpg\",\n               },\n           ],\n           \"cates\": [\n               {\n                   \"name\": \"商品分类2\",\n                   \"pic\": \"/upload/goods/cate/20171013/923996f99388fa90acfee1bf31a909fa.jpg\",\n                   \"goods\": []\n               }\n           ],\n           \"goods\": {\n               \"current_page\": 1,\n               \"data\": [\n                   {\n                       \"id\": 1,\n                       \"name\": \"商品1\",\n                       \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                   }\n               ],\n               \"first_page_url\": \"http://www.s1.com/api/home/search?page=1\",\n               \"from\": 1,\n               \"last_page\": 1,\n               \"last_page_url\": \"http://www.s1.com/api/home/search?page=1\",\n               \"next_page_url\": null,\n               \"path\": \"http://www.s1.com/api/home/search\",\n               \"per_page\": 10,\n               \"prev_page_url\": null,\n               \"to\": 1,\n               \"total\": 1\n               }\n           }\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Home",
    "name": "GetApiHomeSearch"
  },
  {
    "type": "get",
    "url": "/api/my/address/area",
    "title": "返回省市区地址",
    "description": "<p>返回省市区地址</p>",
    "group": "My",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "GetApiMyAddressArea"
  },
  {
    "type": "get",
    "url": "/api/my/address/delete",
    "title": "地址删除",
    "description": "<p>地址删除</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>主键id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n   \"status\": true,\n   \"status_code\": 0,\n   \"message\": \"\",\n   \"data\": \"\"\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n    \"status\": false,\n    \"status_code\": 2006,\n    \"message\": \"操作失败\",\n    \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "GetApiMyAddressDelete"
  },
  {
    "type": "get",
    "url": "/api/my/address/edit",
    "title": "修改默认地址",
    "description": "<p>修改默认地址</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>主键id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "status",
            "description": "<p>1</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "GetApiMyAddressEdit"
  },
  {
    "type": "get",
    "url": "/api/my/address/index",
    "title": "地址列表",
    "description": "<p>地址列表</p>",
    "group": "My",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": [\n           {\n               \"id\": 1,\n               \"name\": \"name1\",\n               \"tel\": \"13880642880\",\n               \"area\": \"330104\",            区域代码\n               \"address\": \"蜀西路\",\n               \"status\": \"1\",                1默认地址\n               \"addr\": {\n                   \"merger_name\": \"中国,浙江省,杭州市,江干区\",\n               }\n           }\n       ]\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "GetApiMyAddressIndex"
  },
  {
    "type": "get",
    "url": "/api/my/address/show",
    "title": "地址详情",
    "description": "<p>地址详情</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>收货人地址id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"id\": 1,\n           \"name\": \"hahahahaha\",\n           \"tel\": \"13880634889\",\n           \"area\": \"330104\",\n           \"address\": \"三泰魔方123\",\n           \"status\": \"0\",\n           \"addr\": {\n                \"merger_name\": \"中国,浙江省,杭州市,江干区\",\n           }\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n    \"status\": false,\n    \"status_code\": 2006,\n    \"message\": \"操作失败\",\n    \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "GetApiMyAddressShow"
  },
  {
    "type": "get",
    "url": "/api/my/favorite",
    "title": "收藏",
    "description": "<p>收藏</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "page",
            "defaultValue": "1",
            "description": "<p>分页参数</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"current_page\": 1,\n           \"data\": [\n               {\n                   \"id\": 3,\n                   \"s1_goods_id\": 1,\n                   \"wx_user_id\": 1,\n                   \"created_at\": \"2017-10-19 16:36:16\",\n                   \"updated_at\": \"2017-10-19 16:36:16\",\n                   \"goods\": {\n                       \"id\": 1,\n                       \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                       \"name\": \"商品1\"\n                   }\n               }\n           ],\n           \"first_page_url\": \"http://www.s1.com/api/my/favorite?page=1\",\n           \"from\": 1,\n           \"last_page\": 1,\n           \"last_page_url\": \"http://www.s1.com/api/my/favorite?page=1\",\n           \"next_page_url\": null,\n           \"path\": \"http://www.s1.com/api/my/favorite\",\n           \"per_page\": 15,\n           \"prev_page_url\": null,\n           \"to\": 1,\n           \"total\": 1\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyFavorite"
  },
  {
    "type": "get",
    "url": "/api/my/index",
    "title": "首页",
    "description": "<p>首页</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"user\": {\n           \"id\": 1,\n           \"appid\": \"dsfbdffd32434dfvdf\",\n           \"nickname\": \"nickname1\",\n           \"openid\": \"openid123\",\n           \"avatar\": \"/upload/wx_user/20171012/8cea5bda71481b13edbe54ae2509e063.jpg\",\n           \"password\": \"password123\",\n           \"score\": 1000123,\n           \"level_id\": 1,\n           \"balance\": \"\",\n           \"remark\": null,\n           \"status\": 1,\n           \"created_at\": \"2017-10-12 15:56:20\",\n           \"updated_at\": \"2017-10-12 15:56:46\",\n           \"deleted_at\": null,\n           \"favorite\": [\n               {\n               \"id\": 1,\n               \"name\": \"商品1\",\n               \"number\": \"0011\",\n               \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n               }\n           ]\n           },\n           \"order1\": [\n               {\n                   \"id\": 13,\n                   \"amount\": \"1250100\",\n                   \"goods\": [\n                       {\n                           \"id\": 1,\n                           \"name\": \"商品1\",\n                           \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n                       },\n                       {\n                           \"id\": 2,\n                           \"name\": \"test\",\n                           \"pic\": \"/upload/s1/goods/face/20171013/cdfe1a254ac611d055cd9aacaa11c58a.png\",\n                       }\n                   ]\n               },\n           ],\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/MyController.php",
    "groupTitle": "My",
    "name": "GetApiMyIndex"
  },
  {
    "type": "post",
    "url": "/api/my/address/update",
    "title": "地址编辑",
    "description": "<p>地址编辑</p>",
    "group": "My",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "id",
            "description": "<p>主键id 存在表示修改</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "tel",
            "description": "<p>收货人电话</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "area",
            "description": "<p>省市区地址</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "address",
            "description": "<p>详细地址</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "status",
            "description": "<p>1或0  1为默认地址</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": \"\"\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 2006,\n        \"message\": \"操作失败\",\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AddressController.php",
    "groupTitle": "My",
    "name": "PostApiMyAddressUpdate"
  },
  {
    "type": "get",
    "url": "/api/order/create",
    "title": "创建订单",
    "description": "<p>创建订单</p>",
    "group": "Order",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "address_id",
            "description": "<p>收货地址id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "number",
            "description": "<p>商品数量</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": true,
            "field": "attr",
            "description": "<p>商品属性 //购物车id列表或是商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": true,
            "field": "cart_id_list",
            "description": "<p>购物车id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"s1_order_id\": 15\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 2004,\n        \"message\": \"数据异常\",\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/OrderController.php",
    "groupTitle": "Order",
    "name": "GetApiOrderCreate"
  },
  {
    "type": "get",
    "url": "/api/order/show",
    "title": "订单详情",
    "description": "<p>订单详情</p>",
    "group": "Order",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>订单id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n   \"status\": true,\n   \"status_code\": 0,\n   \"message\": \"\",\n       \"data\": {\n           \"user_name\": \"hahahahaha\",\n           \"address\": \"中国,浙江省,杭州市,江干区三泰魔方123\",\n           \"trade_no\": \"123123\",\n           \"order_time\": \"2017-10-13 09:55:00\",\n           \"amount\": \"10000\",\n           \"goods_number\": 2\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n    \"status\": false,\n    \"status_code\": 2009,\n    \"message\": \"订单没有找到\",\n    \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/OrderController.php",
    "groupTitle": "Order",
    "name": "GetApiOrderShow"
  },
  {
    "type": "get",
    "url": "/api/order/sure",
    "title": "立即购买(或是购物车结算)",
    "description": "<p>立即购买(或是购物车结算)</p>",
    "group": "Order",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "appid",
            "description": "<p>appid</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "id",
            "description": "<p>商品id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "number",
            "description": "<p>商品数量</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": true,
            "field": "cart_id",
            "description": "<p>购物车id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": {\n           \"goods\": {                           购买商品\n               \"name\": \"商品1\",\n               \"sure_number\": \"12\",              确认数量\n               \"attr_info\": \"属性\",              已选属性\n               \"pic\": \"/upload/s1/goods/face/20171013/effbecdc6d9de83d0128e3f08ec6d636.jpg\",\n           },\n           \"address\": {                         默认地址\n               \"name\": \"hahahahaha\",\n               \"tel\": \"134324\",\n               \"area\": \"23423423\",\n               \"address\": \"address\",\n           }\n       }\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/OrderController.php",
    "groupTitle": "Order",
    "name": "GetApiOrderSure"
  },
  {
    "type": "post",
    "url": "/api/order/pay",
    "title": "支付",
    "description": "<p>支付</p>",
    "group": "Order",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "id",
            "description": "<p>订单id</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": \"\"\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 2006,\n        \"message\": \"操作失败\",\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/OrderController.php",
    "groupTitle": "Order",
    "name": "PostApiOrderPay"
  },
  {
    "type": "post",
    "url": "/api/order/refund",
    "title": "申请售后",
    "description": "<p>申请售后</p>",
    "group": "Order",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "order_id",
            "description": "<p>订单id</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "refund_type",
            "description": "<p>售后类型</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "refund_price",
            "description": "<p>价格</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "refund_desc",
            "description": "<p>原因</p>"
          },
          {
            "group": "Parameter",
            "type": "array",
            "optional": false,
            "field": "pic_list",
            "description": "<p>凭证</p>"
          }
        ]
      }
    },
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n   {\n       \"status\": true,\n       \"status_code\": 0,\n       \"message\": \"\",\n       \"data\": \"\"\n   }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n    {\n        \"status\": false,\n        \"status_code\": 2006,\n        \"message\": \"操作失败\",\n        \"data\": null\n    }",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/OrderController.php",
    "groupTitle": "Order",
    "name": "PostApiOrderRefund"
  }
] });
